import { IPattern } from './pattern';
/**
 * Represents a word boundary.
 */
export declare const WordBoundary: IPattern;
/**
 * Represents any space character.
 */
export declare const Space: IPattern;
/**
 * An identifier pattern that can start with letters or '_' and continue with
 * alphanumeric characters or '_'.
 */
export declare const Ident: IPattern;
/**
 * Common tags in comments.
 */
export declare const CommentTag: IPattern;
/**
 * Creates a sequence of alternative keywords that are separated by word boundaries.
 * @param kws The possible keywords.
 * @returns The created pattern.
 */
export declare const keyword: (...kws: string[]) => IPattern;
