"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keywords = exports.WORD_BOUNDARY = void 0;
const pattern_1 = require("./pattern");
/**
 * A pattern that recognizes word boundaries.
 */
exports.WORD_BOUNDARY = (0, pattern_1.regex)('\\b');
/**
 * Constructs a pattern that accepts keywords.
 * @param kws The keywords to accept.
 * @returns The pattern that accepts keywords.
 */
function keywords(...kws) {
    return (0, pattern_1.cat)(exports.WORD_BOUNDARY, (0, pattern_1.or)(...kws.map(pattern_1.literal)), exports.WORD_BOUNDARY);
}
exports.keywords = keywords;
